Subject: bug#53982: closed (Re: bug#53982: date (GNU coreutils) 8.30 bug report "17 april 2022 + 37 week 5pm")

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Feb 2022 19:03:01 +0000

Your bug report

#53982: date (GNU coreutils) 8.30 bug report "17 april 2022 + 37 week 5pm"

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53982: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53982
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53982: date (GNU coreutils) 8.30 bug report "17 april 2022 + 37 week 5pm"
From: Paul Eggert <[email-masked]>
To: Stéphane Archer <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Feb 2022 11:02:27 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2/14/22 01:41, Stéphane Archer wrote:
> is +'%Y-%m-%dT%H:%M:%S.0Z' do what I want

To format an arbitrary timestamp you want "+%Y-%m-%dT%H:%M:%S.%1NZ", 
unless you always want a zero after the period.

Closing the bug report as there's no bug here.

Subject: date (GNU coreutils) 8.30 bug report "17 april 2022 + 37 week 5pm"
From: Stéphane Archer <[email-masked]>
To: [email-masked]
Date: Sun, 13 Feb 2022 21:18:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I hope this is the right place to do my bug report.
please see the following shell input-output:
```
$ date -d "17 april 2022 + 36 week 5pm" +'%G-%m-%dT%H:%M:%S.0Z'
2022-12-25T17:00:00.0Z
$ date -d "17 april 2022 + 37 week 5pm" +'%G-%m-%dT%H:%M:%S.0Z'
2022-01-01T17:00:00.0Z
$ date -d "17 april 2022 + 38 week 5pm" +'%G-%m-%dT%H:%M:%S.0Z'
2023-01-08T17:00:00.0Z
```
as you can see the input "17 april 2022 + 37 week 5pm" makes date return
the wrong output for some unknown reason.

Do I do something wrong?
I use the following version: date (GNU coreutils) 8.30

-- 
Best Regards,

Stephane Archer